FreeMat

- Main Page
- Related Pages

vtkMapper2D

Section: Visualization Toolkit Filtering Classes

# Usage

vtkMapper2D is an abstract class which defines the interface for objects which render two dimensional actors (vtkActor2D).

To create an instance of class vtkMapper2D, simply invoke its constructor as follows

      obj = vtkMapper2D

# Methods

The class vtkMapper2D has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkMapper2D class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkMapper2D = obj.NewInstance ()`
- `vtkMapper2D = obj.SafeDownCast (vtkObject o)`
- `obj.RenderOverlay (vtkViewport , vtkActor2D )`
- `obj.RenderOpaqueGeometry (vtkViewport , vtkActor2D )`
- `obj.RenderTranslucentPolygonalGeometry (vtkViewport , vtkActor2D )`
- `int = obj.HasTranslucentPolygonalGeometry ()`